Package org.apache.activemq.artemis.api.core.client

## Interface ClientSession.AddressQuery

- Enclosing interface:
    ClientSession

      public static interface ClientSession.AddressQuery

  Information returned by a binding query
  See Also:
    `ClientSession.addressQuery(SimpleString)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Integer` | `getDefaultConsumersBeforeDispatch()` |
    `java.lang.Long` | `getDefaultDelayBeforeDispatch()` |
    `org.apache.activemq.artemis.api.core.SimpleString` | `getDefaultLastValueKey()` |
    `int` | `getDefaultMaxConsumers()` |
    `java.util.List<org.apache.activemq.artemis.api.core.SimpleString>` | `getQueueNames()` | Returns the names of the queues bound to the binding.
    `boolean` | `isAutoCreateAddresses()` | Returns `true` if auto-address-creation for this address is enabled, `false` else.
    `boolean` | `isAutoCreateQueues()` | Returns `true` if auto-queue-creation for this address is enabled, `false` else.
    `java.lang.Boolean` | `isDefaultExclusive()` |
    `java.lang.Boolean` | `isDefaultLastValueQueue()` |
    `java.lang.Boolean` | `isDefaultNonDestructive()` |
    `boolean` | `isDefaultPurgeOnNoConsumers()` |
    `boolean` | `isExists()` | Returns `true` if the binding exists, `false` else.

- - ### Method Detail

    - #### isExists

          boolean isExists()

      Returns `true` if the binding exists, `false` else.

    - #### getQueueNames

          java.util.List<org.apache.activemq.artemis.api.core.SimpleString> getQueueNames()

      Returns the names of the queues bound to the binding.

    - #### isAutoCreateQueues

          boolean isAutoCreateQueues()

      Returns `true` if auto-queue-creation for this address is enabled, `false` else.

    - #### isAutoCreateAddresses

          boolean isAutoCreateAddresses()

      Returns `true` if auto-address-creation for this address is enabled, `false` else.

    - #### isDefaultPurgeOnNoConsumers

          boolean isDefaultPurgeOnNoConsumers()

    - #### getDefaultMaxConsumers

          int getDefaultMaxConsumers()

    - #### isDefaultLastValueQueue

          java.lang.Boolean isDefaultLastValueQueue()

    - #### isDefaultExclusive

          java.lang.Boolean isDefaultExclusive()

    - #### getDefaultLastValueKey

          org.apache.activemq.artemis.api.core.SimpleString getDefaultLastValueKey()

    - #### isDefaultNonDestructive

          java.lang.Boolean isDefaultNonDestructive()

    - #### getDefaultConsumersBeforeDispatch

          java.lang.Integer getDefaultConsumersBeforeDispatch()

    - #### getDefaultDelayBeforeDispatch

          java.lang.Long getDefaultDelayBeforeDispatch()